- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions
qi::geometry Namespace Reference

## Functions
Vector3 | makeVector3 (double x, double y, double z)
std::ostream & | operator<< (std::ostream &o, const Vector3 &t)
Quaternion | makeQuaternion (double x, double y, double z, double w)
Quaternion | makeQuaternionFromAngleAxis (double angle, const Vector3 &axis)
std::ostream & | operator<< (std::ostream &o, const Quaternion &r)
double | norm (const Quaternion &r)
bool | isNormalized (const Quaternion &r, double epsilon)
void | normalize (Quaternion &r)
Quaternion | normalized (const Quaternion &r)
Transform | makeTransform (const Quaternion &rotation, const Vector3 &translation)
std::ostream & | operator<< (std::ostream &o, const Transform &tf)
Eigen::Affine3d | toEigenAffine3d (const Transform &tf)
Transform | operator* (const Transform &lhs, const Transform &rhs)
bool | isNear (const Transform &lhs, const Transform &rhs, double epsilon)
Transform | inverse (const Transform &tf)

## Function Documentation

Transform qi::geometry::inverse | ( | const Transform & | tf | ) |
| inline

Definition at line 120 of file qigeometry.h.

bool qi::geometry::isNear | ( | const Transform & | lhs,
|  | const Transform & | rhs,
|  | double | epsilon
| ) |  |
| inline

Definition at line 111 of file qigeometry.h.

bool qi::geometry::isNormalized | ( | const Quaternion & | r,
|  | double | epsilon
| ) |  |
| inline

Definition at line 54 of file qigeometry.h.

Quaternion qi::geometry::makeQuaternion | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | w
| ) |  |
| inline

Definition at line 29 of file qigeometry.h.

Quaternion qi::geometry::makeQuaternionFromAngleAxis | ( | double | angle,
|  | const Vector3 & | axis
| ) |  |
| inline

Definition at line 34 of file qigeometry.h.

Transform qi::geometry::makeTransform | ( | const Quaternion & | rotation,
|  | const Vector3 & | translation
| ) |  |
| inline

Definition at line 74 of file qigeometry.h.

Vector3 qi::geometry::makeVector3 | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |
| inline

Definition at line 19 of file qigeometry.h.

double qi::geometry::norm | ( | const Quaternion & | r | ) |
| inline

Definition at line 49 of file qigeometry.h.

void qi::geometry::normalize | ( | Quaternion & | r | ) |
| inline

Definition at line 60 of file qigeometry.h.

Quaternion qi::geometry::normalized | ( | const Quaternion & | r | ) |
| inline

Definition at line 66 of file qigeometry.h.

Transform qi::geometry::operator* | ( | const Transform & | lhs,
|  | const Transform & | rhs
| ) |  |
| inline

Definition at line 96 of file qigeometry.h.

std::ostream& qi::geometry::operator<< | ( | std::ostream & | o,
|  | const Vector3 & | t
| ) |  |
| inline

Definition at line 24 of file qigeometry.h.

std::ostream& qi::geometry::operator<< | ( | std::ostream & | o,
|  | const Quaternion & | r
| ) |  |
| inline

Definition at line 43 of file qigeometry.h.

std::ostream& qi::geometry::operator<< | ( | std::ostream & | o,
|  | const Transform & | tf
| ) |  |
| inline

Definition at line 80 of file qigeometry.h.

Eigen::Affine3d qi::geometry::toEigenAffine3d | ( | const Transform & | tf | ) |
| inline

Definition at line 86 of file qigeometry.h.